// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibus.test.messages_lib;

import 'package:omnibus/omnibus.dart';

part 'messages.v0.dart';

/// Simple calculation types
enum CalculationOperator { add, subtract, multiply, divide }

/// Storage class for the calculation result to test [toJson]
class CalculationResult {
  final double result;
  CalculationResult(this.result) {}
  double toJson() => result;
}
