// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

/// This file is used to generate coverate stats.
library omnibus.test.test_all;

import 'package:test/test.dart';

import 'data_test.dart' as data_test;
import 'event_test.dart' as event_test;
import 'request_test.dart' as request_test;
import 'global_test.dart' as global_test;
import 'conditions_test.dart' as conditions_test;
import 'exceptions_test.dart' as exceptions_test;
import 'json_data_test.dart' as json_data_test;
import 'oncomplete_empty_test.dart' as oncomplete_empty_test;

void main() {
  group('data', data_test.main);
  group('event', event_test.main);
  group('request', request_test.main);
  group('global', global_test.main);
  group('conditions', conditions_test.main);
  group('exceptions', exceptions_test.main);
  group('json data', json_data_test.main);
  group('oncomplete empty', oncomplete_empty_test.main);
}
